Skip to main content
POST
/
organizations
/
{organization_id}
/
invites
Create an invite
curl --request POST \
  --url https://api.example.com/organizations/{organization_id}/invites \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "role": "<string>",
  "expires_in_seconds": 259200
}
'
{
  "invite": {
    "id": "<string>",
    "organization_id": "<string>",
    "email": "jsmith@example.com",
    "role": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "issued_by": "<string>",
    "accepted_by": "<string>",
    "accepted_at": "2023-11-07T05:31:56Z",
    "revoked_by": "<string>",
    "revoked_at": "2023-11-07T05:31:56Z"
  },
  "token": "<string>",
  "accept_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Body

application/json
email
string<email>
required
role
string
required
expires_in_seconds
integer
default:259200
Required range: x >= 60

Response

Invite created

invite
object
required

Single-use invite to join a organization. Minimal public/admin shape.

token
string
required

Plaintext token (returned once)

accept_url
string

Optional convenience URL if your backend constructs it